# import to pclinuxos by Daniel Meiß-Wilhelm on 12.16.2013
# PCLinuxOS Copyright by Bill Reynolds (Texstar.)
######
%define name qmplay2
%define oname QMPlay2

Summary: Video player
Name: %{name}
Version: 24.04.07
Release: %mkrel 1
Source: http://garr.dl.sourceforge.net/project/zaps166/QMPlay2/QMPlay2-src-%{version}.tar.xz
Source1: %{oname}.desktop
#Patch0: q.diff
URL: http://zaps166.sourceforge.net/?app=QMPlay2
License: LGPLv3
Group: Video
#--------------------------------------------------------------
BuildRequires: desktop-file-utils
BuildRequires: imagemagick
BuildRequires: lib64alsa2-devel
BuildRequires: lib64ass-devel
BuildRequires: lib64cddb-devel
BuildRequires: lib64cdio-devel
BuildRequires: lib64ffmpeg-devel
BuildRequires: lib64pulseaudio-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5multimedia-devel
BuildRequires: lib64qt5multimediawidgets-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5opengl-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64taglib-devel
BuildRequires: lib64va-devel
BuildRequires: lib64vdpau-devel
BuildRequires: lib64x11-devel
BuildRequires: mesa-devel
BuildRequires: qtbase5-common-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64sidplayfp-devel
BuildRequires: lib64gme-devel
BuildRequires: lib64gle3-devel

#Requires: qttools5
Requires: lib64qt5core5
Requires: lib64qt5dbus5
Requires: lib64qt5gui5
Requires: lib64qt5network5
Requires: lib64qt5opengl5
Requires: lib64qt5widgets5

#-----------------------------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
QMPlay2 is a video player, it can plays all formats
and stream supported by ffmpeg and libmodplug
(including J2B). It has integrated Youtube and Wrzuta browser.

%description -l de
QMPlay2 ist ein Videoplayer und spielt alle Formate (Audio/Video)
ab.
Streams werden unterstützt von FFMPEG und LIBMODPLUG
(inklusive J2B). Integriert ist YouTube und Wrzuta browser.


%prep
%setup -q -n %{oname}-src-%{version}
%autopatch -p1

perl -pi -e 's|"/"|"/" |' src/modules/Inputs/Inputs.cpp

%build
#export LDFLAGS="-L/usr/lib64/libglvnd/$LDFLAGS"
%cmake
%make

%install
rm -rf $RPM_BUILD_ROOT
make -C build DESTDIR=%buildroot install

#do not want this
rm -rf %{buildroot}%{_datadir}/applications/%{oname}.desktop
rm -fr %{buildroot}%{_datadir}/qmplay2/noautoupdates
rm -rf %{buildroot}/%{_includedir}

desktop-file-install \
 --vendor="" \
 --remove-mime-type="video/mp2t" \
 --remove-mime-type="mp2t" \
 --remove-mime-type="video" \
 --remove-mime-type="inode/directory" \
 --dir %{buildroot}%{_datadir}/applications \
 %{buildroot}%{_datadir}/applications/%{oname}_enqueue.desktop

install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{oname}.desktop

 
%files
%defattr(-,root,root)
%doc ChangeLog LICENSE
%{_bindir}/%{oname}
%{_iconsdir}/hicolor/*/apps/QMPlay2.png
%{_datadir}/applications/*.desktop
%{_libdir}/libqmplay2.so
%{_libdir}/%name/modules
%{_mandir}/man1/%{oname}*

%{_datadir}/solid/actions/QMPlay2-opencda.desktop
%{_datadir}/qmplay2/

%{_datadir}/icons/hicolor/scalable/apps/QMPlay2.svgz
%{_datadir}/metainfo/QMPlay2.appdata.xml
%{_datadir}/mime/packages/x-bink.xml
%{_datadir}/mime/packages/x-gme.xml
%{_datadir}/mime/packages/x-j2b.xml
%{_datadir}/mime/packages/x-sfx.xml
%{_datadir}/mime/packages/x-umx.xml



%clean
rm -rf $RPM_BUILD_ROOT


#_________________ changelog ____________________________________

%changelog
* Wed Apr 10 2024 daniel - 24.04.07-1pclos2024
- update

* Sun Mar 17 2024 daniel - 24.03.16-1pclos2024
- update

* Thu Nov 23 2023 daniel - 23.10.22-1pclos2023
- new version

* Thu Sep 07 2023 tex - 23.09.05-1pclos2023
- new version

* Tue Aug 22 2023 daniel - 23.08.22-1pclos2023
- new version

